package com.pronostico.persistencia;
// Generated 8/12/2018 09:54:20 PM by Hibernate Tools 4.3.1


import java.text.SimpleDateFormat;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * PronosticoId generated by hbm2java
 */
@Embeddable
public class PronosticoId  implements java.io.Serializable {


     private String ciudad;
     private Date fecha;

    public PronosticoId() {
    }

    public PronosticoId(String ciudad, Date fecha) {
       this.ciudad = ciudad;
       this.fecha = fecha;
    }
    
    public String getFechaCadena(){
        SimpleDateFormat formato = new SimpleDateFormat("dd/MM/yyyy");
        String fechaS = formato.format(fecha);
        return fechaS;
    }
   


    @Column(name="ciudad", nullable=false, length=20)
    public String getCiudad() {
        return this.ciudad;
    }
    
    public void setCiudad(String ciudad) {
        this.ciudad = ciudad;
    }


    @Column(name="fecha", nullable=false, length=10)
    public Date getFecha() {
        return this.fecha;
    }
    
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }


   public boolean equals(Object other) {
         if ( (this == other ) ) return true;
		 if ( (other == null ) ) return false;
		 if ( !(other instanceof PronosticoId) ) return false;
		 PronosticoId castOther = ( PronosticoId ) other; 
         
		 return ( (this.getCiudad()==castOther.getCiudad()) || ( this.getCiudad()!=null && castOther.getCiudad()!=null && this.getCiudad().equals(castOther.getCiudad()) ) )
 && ( (this.getFecha()==castOther.getFecha()) || ( this.getFecha()!=null && castOther.getFecha()!=null && this.getFecha().equals(castOther.getFecha()) ) );
   }
   
   public int hashCode() {
         int result = 17;
         
         result = 37 * result + ( getCiudad() == null ? 0 : this.getCiudad().hashCode() );
         result = 37 * result + ( getFecha() == null ? 0 : this.getFecha().hashCode() );
         return result;
   }   


}


